package com.tofly.feesapi.dzfp.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tofly.feesapi.common.core.dto.PageDto;
import com.tofly.feesapi.dzfp.entity.EiFpkjRequest;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequestFilter;
import com.tofly.feesapi.dzfp.entity.dto.EiFpkjRequestTjFilter;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequestSelectTj;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequest_Excel;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequest_select;
import com.tofly.feesapi.dzfp.entity.vo.EiFpkjRequest_sum;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EiFpkjRequestMapper extends BaseMapper<EiFpkjRequest> {

    PageDto<EiFpkjRequest_select> getPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);

    PageDto<EiFpkjRequest_select> getSfPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);

    PageDto<EiFpkjRequest_select> getFpPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);

    PageDto<EiFpkjRequest_select> getZnjPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);

    PageDto<EiFpkjRequest_select> getWsfPage(PageDto page, @Param("filter") EiFpkjRequestFilter filter);

    List<EiFpkjRequest_Excel> getList(@Param("filter") EiFpkjRequestFilter filter);

    List<EiFpkjRequest_sum> getListSum(@Param("filter") EiFpkjRequestFilter filter);

    List<EiFpkjRequestSelectTj> getFprkptjList(@Param("filter") EiFpkjRequestTjFilter filter);
}
